curl --request DELETE \
--url https://api.droxy.ai/v1/resource/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.droxy.ai/v1/resource/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.droxy.ai/v1/resource/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.droxy.ai/v1/resource/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.droxy.ai/v1/resource/{id}")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.droxy.ai/v1/resource/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"organisation": "<string>",
"creator": "<string>",
"fileName": "<string>",
"type": "<string>",
"createdAt": 123,
"aiProcessingStatus": "<string>",
"tags": [
"<string>"
],
"youtubeVideoId": 123,
"googleDriveResourceFile": {
"googleDriveAccountId": "<string>",
"fileId": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"webViewLink": "<string>",
"recursive": "<string>"
},
"website": {
"url": "<string>",
"subLinks": [
"<string>"
]
},
"videoLength": 123,
"fileSize": 123,
"syncFrequencyMs": 123,
"lastSync": 123
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>",
"chatbots": [
"<string>"
]
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}Delete Resource By Id
Delete your resource by it’s id.
Authorizations
Path Parameters
The resource's id.
Response
OK
The resource's id.
The organisation id of the resource.
The user id of the creator.
The name of the resource.
The type of the resource. Values can be VIDEO | PDF | TEXT | YOUTUBE | WEB | GOOGLE_DRIVE.
The created date of the resource. Unix timestamp in milliseconds.
The status of the AI processing of the resource. Values can be NOT_STARTED | IN_PROGRESS | DONE | FAILED_NO_TEXT_FOUND | FAILED.
Tags assigned.
YouTube video id. Defined only of the resource type is YOUTUBE.
Google Drive resource object. Defined only of the resource type is GOOGLE_DRIVE.
Show child attributes
Show child attributes
Website data. Defined only of the resource type is WEB.
Show child attributes
Show child attributes
Video length in seconds. Defined only of the resource type is VIDEO.
File length in bytes. Defined only of the resource type is PDF or VIDEO.
Synchronization frequency in milliseconds.
Last synchronization date. Unix timestamp in milliseconds.